import 'react-native-gesture-handler';
import { StatusBar } from 'expo-status-bar';
import React from 'react';
import { StyleSheet, Text, View, Image, Button, AccessibilityInfo } from 'react-native';
import { NavigationContainer } from '@react-navigation/native';
import { createStackNavigator } from  '@react-navigation/stack';

function introduccion({navigation}) {
  return (
    <View style={styles.container}>

      <Text Style={styles.titulo}>al abrir la app, lo mas comun es que te aparezca algo como esto:</Text>

      <Image style={styles.ingStyle} source={require('../../assets/imagenes/escritura_buscador.jpeg')}/>

      <Text Styles={styles.negrita}>solo deberas presionar la barra del buscador para empezar con tu busqueda:</Text>

      <Image style={styles.ingStyle} source={require('../../assets/imagenes/barra_busqueda.jpg')}/>

      <Text>Si no recuerda bien como usar el teclado del celular,
       se recomienda revisar nuevamene el tutorial de escritura. </Text>
     
      <View style={styles.fixToText}>
        <Button
          title="retroceder"
          onPress={() => navigation.navigate('iconos')}
        />
        <Button
          title="avanzar"
          onPress={() => navigation.navigate('sugerencias')}
        />
        </View>
      <StatusBar style="auto" />
    </View>
  );
}

export default introduccion

const styles = StyleSheet.create({
  container: {
    flex: 1,
    backgroundColor: 'white',
    alignItems: 'center',
    justifyContent: 'center',
  },
  fixToText: {
    flexDirection: 'row',
    justifyContent: 'space-between',
  },
  centerConstent: {
    justifyContent: 'center',
    alignItems: 'center',
  },
  ingStyle: {
    width: 350,
    height: 190,
    marginTop: 3
  },
  titulo: {
    fontWeight: 'bold'
  },
  negrita: {
    fontWeight: 'bold'
  },
  fondo: {
    backgroundColor: 'blue',
    padding: 20
  },
  ingStylelado: {
    width: 270,
    height: 200,
    marginTop: 3,
    flexDirection: 'row',
    justifyContent: 'space-between'
  }
});