import 'react-native-gesture-handler';
import { StatusBar } from 'expo-status-bar';
import React from 'react';
import { StyleSheet, Text, View, Image, Button, AccessibilityInfo, TextInput, Alert, onPress } from 'react-native';
import { NavigationContainer } from '@react-navigation/native';
import { createStackNavigator } from  '@react-navigation/stack';

function simulacion({navigation}) {
  const busq=""
  const [corre_1, setCorre_1] = useState("")
  const [cont, setCont] = useState("")
  const comproba=()=>{
    if(corre_1===busq){
      setCont("")
    } else{
      setCont("SUGERENCIAS")
    }
  }

  return (
    <View style={styles.container}>

      <Image style={styles.ingStyle} source={require('../../assets/imagenes/interfas.png')}/>         

      <TextInput placeholder="" />
      <Image Style={styles.ingStyle}>source={require('../../assets/imagenes/lupa_1.jpg')}</Image>
        onPress={()=>navigation.navigate("resultado_busqueda")}
     
      <View style={styles.fixToText}>
        <Button
          title="retroceder"
          onPress={() => navigation.navigate('ventanas')}
        />
        <Button
          title="avanzar"
          onPress={() => Alert.alert('termino')}
          disabled
        />
      </View>
      <StatusBar style="auto" />
    </View>
  );
}

export default simulacion

const styles = StyleSheet.create({
  container: {
    flex: 1,
    backgroundColor: 'white',
    alignItems: 'center',
    justifyContent: 'center',
  },
  fixToText: {
    flexDirection: 'row',
    justifyContent: 'space-between',
  },
  centerConstent: {
    justifyContent: 'center',
    alignItems: 'center',
  },
  ingStyle: {
    width: 350,
    height: 190,
    marginTop: 3
  },
  titulo: {
    fontWeight: 'bold'
  },
  negrita: {
    fontWeight: 'bold'
  },
  fondo: {
    backgroundColor: 'blue',
    padding: 20
  },
  ingStylelado: {
    width: 270,
    height: 200,
    marginTop: 3,
    flexDirection: 'row',
    justifyContent: 'space-between'
  }
});