import 'react-native-gesture-handler';
import { StatusBar } from 'expo-status-bar';
import React from 'react';
import { StyleSheet, Text, View, Image, Button, AccessibilityInfo } from 'react-native';
import { NavigationContainer } from '@react-navigation/native';
import { createStackNavigator } from  '@react-navigation/stack';

function ventanas({navigation}) {
  return (
    <View style={styles.container}>

      <Text Style={styles.titulo}>todas las paginas que has visitdo quedaran en "ventanas"</Text>

      <Text Style={styles.negrita}>a las que podras acceder tocando el logo que se encuentra en la ezquina superior derecha. </Text>
     
      <Image style={styles.ingStyle} source={require('../../assets/imagenes/ventanas_1.jpg')}/>
 
      <Text style={styles.negrita}>Luego solo le das un toque a la ventana a la que quieres volver par abrirla</Text>
      <View style={styles.fixToText}>
        <Button
          title="retroceder"
          onPress={() => navigation.navigate('opciones')}
        />
        <Button
          title="avanzar"
          onPress={() => navigation.navigate('simulacion')}
        />
        </View>
      <StatusBar style="auto" />
    </View>
  );
}

export default ventanas

const styles = StyleSheet.create({
  container: {
    flex: 1,
    backgroundColor: 'white',
    alignItems: 'center',
    justifyContent: 'center',
  },
  fixToText: {
    flexDirection: 'row',
    justifyContent: 'space-between',
  },
  centerConstent: {
    justifyContent: 'center',
    alignItems: 'center',
  },
  ingStyle: {
    width: 350,
    height: 75,
    marginTop: 3
  },
  titulo: {
    fontWeight: 'bold'
  },
  negrita: {
    fontWeight: 'bold'
  },
  fondo: {
    backgroundColor: 'blue',
    padding: 20
  },
  ingStylelado: {
    width: 270,
    height: 200,
    marginTop: 3,
    flexDirection: 'row',
    justifyContent: 'space-between'
  }
});