import 'react-native-gesture-handler';
import { StatusBar } from 'expo-status-bar';
import React from 'react';
import { StyleSheet, Text, View, Image, Button, AccessibilityInfo, onPress } from 'react-native';
import { NavigationContainer } from '@react-navigation/native';
import { createStackNavigator } from  '@react-navigation/stack';

function copiar({navigation}) {
  return (
    <View style={styles.container}>

      <Text Style={styles.titulo}>-.Copiar y Pegar.-</Text>

      <Text Style={styles.negrita}>Algo importante en el uso de tu celular es la funcion de copiar y pegar texto </Text>
      <Text Style={styles.negrita}>lo que te ayudara a usar de forma mas rapida y sencilla un texto en otra situacion  </Text>
      <Text Style={styles.negrita}>1.- Copiar</Text>
      <Text Style={styles.negrita}>Para hacer esto solo debes mantener presionado el texto que deseas, y soltar cuando aparece una liea azul</Text>
      <Text Style={styles.negrita}>y luego ajustar los dos indicadoras al borde del texto que quieras copiar </Text>
     
      <Image style={styles.ingStyle} source={require('../../assets/imagenes/indicadores.jpg')}/>
 
      <View style={styles.fixToText}>
        <Button
          title="retroceder"
          disabled
          onPress={() => Alert.alert('no hay vuelta atras')}
        />
        <Button
          title="avanzar"
          onPress={() => navigation.navigate('copy_2')}
        />
        </View>
      <StatusBar style="auto" />
    </View>
  );
}

export default copiar

const styles = StyleSheet.create({
  container: {
    flex: 1,
    backgroundColor: 'white',
    alignItems: 'center',
    justifyContent: 'center',
  },
  fixToText: {
    flexDirection: 'row',
    justifyContent: 'space-between',
  },
  centerConstent: {
    justifyContent: 'center',
    alignItems: 'center',
  },
  ingStyle: {
    width: 300,
    height: 100,
    marginTop: 3
  },
  titulo: {
    fontWeight: 'bold',
    backgroundColor: '#00ffff'
  },
  negrita: {
    fontWeight: 'bold'
  },
  fondo: {
    backgroundColor: 'blue',
    padding: 20
  },
  ingStylelado: {
    width: 270,
    height: 200,
    marginTop: 3,
    flexDirection: 'row',
    justifyContent: 'space-between'
  }
});