import 'react-native-gesture-handler';
import { StatusBar } from 'expo-status-bar';
import React from 'react';
import { StyleSheet, Text, View, Image, Button, AccessibilityInfo, onPress } from 'react-native';
import { NavigationContainer } from '@react-navigation/native';
import { createStackNavigator } from  '@react-navigation/stack';

function copy_2({navigation}) {
  return (
    <View style={styles.container}>

      <Text Style={styles.negrita}>Ahora te aparecera un menu donde deberas apretar donde dice copiar </Text>
      <Image Style={styles.ingStyle} source={require('../../assets/imagenes/menu_copiar.jpg')}/>
 
      <Text style={styles.negrita}>Ahora vamos a aprender como "pegar" el texto que copiamos</Text>
      <Text style={styles.negrita}>Pero antes... una prueba</Text>
      <View style={styles.fixToText}>
        <Button
          title="retroceder"
          onPress={() => navigation.navigate('copiar')}
        />
        <Button
          title="avanzar"
          onPress={() => navigation.navigate('prueba_copy')}
        />
        </View>
      <StatusBar style="auto" />
    </View>
  );
}

export default copy_2

const styles = StyleSheet.create({
  container: {
    flex: 1,
    backgroundColor: 'white',
    alignItems: 'center',
    justifyContent: 'center',
  },
  fixToText: {
    flexDirection: 'row',
    justifyContent: 'space-between',
  },
  centerConstent: {
    justifyContent: 'center',
    alignItems: 'center',
  },
  ingStyle: {
    width: 5,
    height: 0,
    marginTop: 3
  },
  titulo: {
    fontWeight: 'bold',
    backgroundColor: '#00ffff'
  },
  negrita: {
    fontWeight: 'bold'
  },
  fondo: {
    backgroundColor: 'blue',
    padding: 20
  },
  ingStylelado: {
    width: 270,
    height: 200,
    marginTop: 3,
    flexDirection: 'row',
    justifyContent: 'space-between'
  }
});