import 'react-native-gesture-handler';
import { StatusBar } from 'expo-status-bar';
import React from 'react';
import { StyleSheet, Text, View, Image, Button, AccessibilityInfo, onPress } from 'react-native';
import { NavigationContainer } from '@react-navigation/native';
import { createStackNavigator } from  '@react-navigation/stack';

function prueba_copy({navigation}) {
  return (
    <View style={styles.container}>

      <Text Style={styles.negrita} >Prueba copiar </Text>
      <Text style={styles.negrita}>*copia el texto que te aparecera a continuacion</Text>
      <Text></Text>
      <Text style={styles.titulo} selectable={true}>No entendemos el valor de los momentos hasta que se han convertido en recuerdos. Por eso haz lo que quieras hacer, antes que se convierta en lo que te gustaría haber hecho.</Text>
      <View style={styles.fixToText}>
        <Button
          title="retroceder"
          onPress={() => navigation.navigate('copy_2')}
        />
        <Button
          title="avanzar"
          onPress={() => navigation.navigate('pegar')}
        />
        </View>
      <StatusBar style="auto" />
    </View>
  );
}

export default prueba_copy

const styles = StyleSheet.create({
  container: {
    flex: 1,
    backgroundColor: 'white',
    alignItems: 'center',
    justifyContent: 'center',
  },
  fixToText: {
    flexDirection: 'row',
    justifyContent: 'space-between',
  },
  centerConstent: {
    justifyContent: 'center',
    alignItems: 'center',
  },
  ingStyle: {
    width: 100,
    height: 100,
    marginTop: 3
  },
  titulo: {
    fontWeight: 'bold',
    backgroundColor: '#00ffff'
  },
  negrita: {
    fontWeight: 'bold'
  },
  fondo: {
    backgroundColor: 'blue',
    padding: 20
  },
  ingStylelado: {
    width: 270,
    height: 200,
    marginTop: 3,
    flexDirection: 'row',
    justifyContent: 'space-between'
  }
});