import 'react-native-gesture-handler';
import * as React from 'react';
import { enableScreens } from 'react-native-screens';
import { StyleSheet, Text, View, TextInput, Button, TouchableOpacity, Image } from 'react-native';
//import { AsyncStorage} from '@react-native-community/async-storage';
import { NavigationContainer } from '@react-navigation/native';
import { createStackNavigator } from  '@react-navigation/stack';
buscadores
import iconos from './Tutoriales/buscadores/iconos';
import introduccion from './Tutoriales/buscadores/introduccion';
import sugerencias from './Tutoriales/buscadores/sugerencias';
import opciones from './Tutoriales/buscadores/opciones';
import ventanas from './Tutoriales/buscadores/ventanas';
import simulacion from './Tutoriales/buscadores/simulacion';
//copiar y pegar
import copiar from './Tutoriales/copy_paste/copiar';
import copy_2 from './Tutoriales/copy_paste/copy_2';
import prueba_copy from './Tutoriales/copy_paste/prueba_copy';
import pegar from './Tutoriales/copy_paste/pegar';
import prueba_paste from './Tutoriales/copy_paste/prueba_paste';
//youtube
import iconos_yt from './Tutoriales/youtube/iconos_yt';
import introduccion_yt from './Tutoriales/youtube/introduccion_yt';
import prueba_yt from './Tutoriales/youtube/prueba_yt';
import video from './Tutoriales/youtube/video';



const Stack = createStackNavigator();
function App() {
  return (
    <NavigationContainer>
      <Stack.Navigator>
      <Stack.Screen name='iconos' component={iconos} />
      <Stack.Screen name='introduccion' component={introduccion} />
      <Stack.Screen name='sugerencias' component={sugerencias} />
      <Stack.Screen name='opciones' component={opciones} />
      <Stack.Screen name='ventanas' component={ventanas} />
      <Stack.Screen name='simulacion' component={simulacion} />
      <Stack.Screen name='copiar' component={copiar} />
      <Stack.Screen name='copy_2' component={copy_2} />
      <Stack.Screen name='prueba_copy' component={prueba_copy} />
      <Stack.Screen name='pegar' component={pegar} />
      <Stack.Screen name='prueba_paste' component={prueba_paste} />
      <Stack.Screen name='iconos_yt' component={iconos_yt} />
      <Stack.Screen name='introduccion_yt' component={introduccion_yt} />
      <Stack.Screen name='prueba_yt' component={prueba_yt} />
      <Stack.Screen name='video' component={video} />
      </Stack.Navigator>
    </NavigationContainer>
  );
}
export default App;


const styles = StyleSheet.create({
  Container: {
    flex: 1,
    backgroundColor: '#fff',
    alignItems: 'center',
    justifyContent: 'center',
  },
});



