import 'react-native-gesture-handler';
import { StatusBar } from 'expo-status-bar';
import React from 'react';
import { StyleSheet, Text, View, Image, Button, AccessibilityInfo, onPress } from 'react-native';
import { NavigationContainer } from '@react-navigation/native';
import { createStackNavigator } from  '@react-navigation/stack';

function iconos({navigation}) {
  return (
    <View style={styles.container}>

      <Text Style={styles.titulo}>Bienvenido al tutorial de navegadores!!!</Text>

      <Text Style={styles.negrita}>Para acceder a tu navegador </Text>
      <Text Style={styles.negrita}>primero debes ubicar la app en tu menu</Text>
      <Text Style={styles.negrita}>lo mas comun es que tenga esta imagen:</Text>
     
      <Image style={styles.ingStyle} source={require('../../assets/imagenes/chromelogo.png')}/>
 
      <Text style={styles.negrita}>Luego solo le das un toque al icono de la app para acceder al buscador</Text>
      <View style={styles.fixToText}>
        <Button
          title="retroceder"
          disabled
          onPress={() => Alert.alert('no hay vuelta atras')}
        />
        <Button
          title="avanzar"
          onPress={() => navigation.navigate('introduccion')}
        />
        </View>
      <StatusBar style="auto" />
    </View>
  );
}

export default iconos

const styles = StyleSheet.create({
  container: {
    flex: 1,
    backgroundColor: 'white',
    alignItems: 'center',
    justifyContent: 'center',
  },
  fixToText: {
    flexDirection: 'row',
    justifyContent: 'space-between',
  },
  centerConstent: {
    justifyContent: 'center',
    alignItems: 'center',
  },
  ingStyle: {
    width: 100,
    height: 100,
    marginTop: 3
  },
  titulo: {
    fontWeight: 'bold'
  },
  negrita: {
    fontWeight: 'bold'
  },
  fondo: {
    backgroundColor: 'blue',
    padding: 20
  },
  ingStylelado: {
    width: 270,
    height: 200,
    marginTop: 3,
    flexDirection: 'row',
    justifyContent: 'space-between'
  }
});