import 'react-native-gesture-handler';
import { StatusBar } from 'expo-status-bar';
import React from 'react';
import { StyleSheet, Text, View, Image, Button, AccessibilityInfo } from 'react-native';
import { NavigationContainer } from '@react-navigation/native';
import { createStackNavigator } from  '@react-navigation/stack';

function sugerencias({navigation}) {
  return (
    <View style={styles.container}>

      <Text Style={styles.titulo}>Una vez empeices a escribir te empezaran a aprecer sugerencias en la parte inferior de la barra</Text>

      <Image Style={styles.ingStyles} source={require('../../assets/imagenes/sugerencias.png')}/>

      <Text Styles={styles.negrita}>si alguna de estas sugerencias es lo que estas busacando, solo presionala</Text>
      <Text Styles={styles.negrita}>si lo que estas buscando no te aparece entre las sugerencias, tendras que escribirlo tu.</Text>
      <Text Styles={styles.negrita}>y luego presionar la lupa que se encuentra en el costado izquierdo de la barra</Text>

      <Image style={styles.ingStyle} source={require('../../assets/imagenes/lupa_1.jpg')}/>

      <View style={styles.fixToText}>
        <Button
          title="retroceder"
          onPress={() => navigation.navigate('introduccion')}
        />
        <Button
          title="avanzar"
          onPress={() => navigation.navigate('opciones')}
        />
        </View>
      <StatusBar style="auto" />
    </View>
  );
}

export default sugerencias

const styles = StyleSheet.create({
  container: {
    flex: 1,
    backgroundColor: 'white',
    alignItems: 'center',
    justifyContent: 'center',
  },
  fixToText: {
    flexDirection: 'row',
    justifyContent: 'space-between',
  },
  centerConstent: {
    justifyContent: 'center',
    alignItems: 'center',
  },
  ingStyle: {
    width: 20,
    height: 1,
    marginTop: 1
  },
  ingStyles: {
    width: 1,
    height: 1,
    marginTop: 3
  },
  titulo: {
    fontWeight: 'bold'
  },
  negrita: {
    fontWeight: 'bold'
  },
  fondo: {
    backgroundColor: 'blue',
    padding: 20
  },
  ingStylelado: {
    width: 270,
    height: 200,
    marginTop: 3,
    flexDirection: 'row',
    justifyContent: 'space-between'
  }
});