import 'react-native-gesture-handler';
import { StatusBar } from 'expo-status-bar';
import React from 'react';
import { StyleSheet, Text, View, Image, Button, AccessibilityInfo } from 'react-native';
import { NavigationContainer } from '@react-navigation/native';
import { createStackNavigator } from  '@react-navigation/stack';

function info_1({navigation}) {
  return (
    <View style={styles.container}>

      <Text Style={styles.titulo}>Bienvenido al tutorial de escritura!!!</Text>

      <Text Style={styles.negrita}>Para abrir el teclado debes apretar en la barra de texto que se encuentra en la pantalla. </Text>
      <Text Style={styles.negrita}>Casi siempre la vas a encotrar como las mostradas en la imagen:</Text>
     
      <Image style = {styles.ingStyle} source={require('../assets/imagenes/escritura_buscador.jpeg')}/>
      <Image style = {styles.ingStyle} source={require('../assets/imagenes/escritura_chat.jpeg')}/>
 
      <Text style={styles.negrita}>Luego solo le das un toque a la letra que quieres para escribirla en la barra</Text>
      <View style={styles.fixToText}>
        <Button
          title="retroceder"
          disabled
          onPress={() => Alert.alert('no hay vuelta atras')}
        />
        <Button
          title="avanzar"
          onPress={() => navigation.navigate('Prueba_1')}
        />
        </View>
      <StatusBar style="auto" />
    </View>
  );
}

export default info_1

const styles = StyleSheet.create({
  container: {
    flex: 1,
    backgroundColor: 'white',
    alignItems: 'center',
    justifyContent: 'center',
  },
  fixToText: {
    flexDirection: 'row',
    justifyContent: 'space-between',
  },
  centerConstent: {
    justifyContent: 'center',
    alignItems: 'center',
  },
  ingStyle: {
    width: 350,
    height: 190,
    marginTop: 3
  },
  titulo: {
    fontWeight: 'bold'
  },
  negrita: {
    fontWeight: 'bold'
  },
  fondo: {
    backgroundColor: 'blue',
    padding: 20
  },
  ingStylelado: {
    width: 270,
    height: 200,
    marginTop: 3,
    flexDirection: 'row',
    justifyContent: 'space-between'
  }
});