import 'react-native-gesture-handler';
import { StatusBar } from 'expo-status-bar';
import React from 'react';
import { StyleSheet, Text, View, Image, Button, AccessibilityInfo } from 'react-native';
import { NavigationContainer } from '@react-navigation/native';
import { createStackNavigator } from  '@react-navigation/stack';

function introduccion_yt({navigation}) {
  return (
    <View style={styles.container}>

      <Text Style={styles.titulo}>Al abrir la app, lo mas comun es que te aparezca algo como esto:</Text>

      <Image style={styles.ingStyle} source={require('../../assets/imagenes/yt_screen.jpg')}/>

      <Text Styles={styles.negrita}>Solo deberas presionar la lupa en la esquina superior derecha para empezar con tu busqueda:</Text>

      <Image style={styles.ingStyle2} source={require('../../assets/imagenes/barra_busqueda_yt.jpg')}/>

      <Text Style={styles.negrita}>O elegir entre los qe te aparezcan en pantalla </Text>

      <View style={styles.fixToText}>
        <Button
          title="retroceder"
          onPress={() => navigation.navigate('iconos_yt')}
        />
        <Button
          title="avanzar"
          onPress={() => navigation.navigate('video')}
        />
        </View>
      <StatusBar style="auto" />
    </View>
  );
}

export default introduccion_yt

const styles = StyleSheet.create({
  container: {
    flex: 1,
    backgroundColor: 'white',
    alignItems: 'center',
    justifyContent: 'center',
  },
  fixToText: {
    flexDirection: 'row',
    justifyContent: 'space-between',
  },
  centerConstent: {
    justifyContent: 'center',
    alignItems: 'center',
  },
  ingStyle: {
    width: 350,
    height: 280,
    marginTop: 3
  },
  ingStyle2: {
    width: 350,
    height: 50,
    marginTop: 3
  },
  titulo: {
    fontWeight: 'bold'
  },
  negrita: {
    fontWeight: 'bold'
  },
  fondo: {
    backgroundColor: 'blue',
    padding: 20
  },
  ingStylelado: {
    width: 270,
    height: 200,
    marginTop: 3,
    flexDirection: 'row',
    justifyContent: 'space-between'
  }
});