import 'react-native-gesture-handler';
import { StatusBar } from 'expo-status-bar';
import React from 'react';
import { StyleSheet, Text, View, Image, Button, AccessibilityInfo } from 'react-native';


function introduccion_yt({navigation}) {
  return (
    <View style={styles.container}>

      <Text Style={styles.titulo}>para ver un video solo debes presionarlo</Text>

      <Text Styles={styles.negrita}>al entrar al video te apareceran cietos iconos en la pantalla</Text>

      <Image style={styles.ingStyle2} source={require('../../assets/imagenes/video.png')}/>

      <View style={styles.fixToText}>
        <Button
          title="retroceder"
          onPress={() => navigation.navigate('introduccion')}
        />
        <Button
          title="avanzar"
          onPress={() => navigation.navigate('prueba_yt')}
        />
        </View>
      <StatusBar style="auto" />
    </View>
  );
}

export default introduccion_yt

const styles = StyleSheet.create({
  container: {
    flex: 1,
    backgroundColor: 'white',
    alignItems: 'center',
    justifyContent: 'center',
  },
  fixToText: {
    flexDirection: 'row',
    justifyContent: 'space-between',
  },
  centerConstent: {
    justifyContent: 'center',
    alignItems: 'center',
  },
  ingStyle: {
    width: 500,
    height: 500,
    marginTop: 3
  },
  ingStyle2: {
    width: 358,
    height: 220,
    marginTop: 3
  },
  titulo: {
    fontWeight: 'bold'
  },
  negrita: {
    fontWeight: 'bold'
  },
  fondo: {
    backgroundColor: 'blue',
    padding: 20
  },
  ingStylelado: {
    width: 270,
    height: 200,
    marginTop: 3,
    flexDirection: 'row',
    justifyContent: 'space-between'
  }
});